> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# POST SignedAttributes

`POST /api/cms/v1/signedattributes`

This call builds the signed attributes required for generating the CMS using the POST cms call. For more information, see [CMS API](/docs/tsp-api/tsp101/cms-service-api).

## Request Header Parameters

The following header parameters apply to the TSP API and the CMS API calls.

| Name                        | Type   | Description                                                                                                                     |
| --------------------------- | ------ | ------------------------------------------------------------------------------------------------------------------------------- |
| Authentication              | String | Required. See [Authentication](/docs/tsp-api/tsp101/tsp-authentication)                                                         |
| Content-Type                | String | Required. Specifies the type of data returned in the request body. This parameter must be set to `application/json`.            |
| X-Docusign-CorrelationToken | GUID   | Optional. ID used for telemetry. Docusign recommends that you set up a correlation token for all the TSP API and CMS API calls. |

## Request Body Parameters

This table provides descriptions of the information in the request body.

| Name     | Description                                              |
| -------- | -------------------------------------------------------- |
| userCert | Required. Base 64 string of the user certificate.        |
| hash     | Required. The hash of the original document.             |
| format   | Required. At this time, the only valid value is "PADES". |

## Response information

If successful, this returns a base64 string representing the Signed Attributes.

| Name             | Description                                                                                                                                                                                                                                                                   |
| ---------------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| signedAttributes | Base 64 string representing the signed attributes, as specified by [RFC 5652](https://datatracker.ietf.org/doc/html/rfc5652).  The TSP must provide the returned signed attributes and the signature of the hash in the [POST CMS](/docs/tsp-api/reference/post-cms) request. |

**`Request body layout`**

```json title="Request body layout"
{
  "userCert": "base 64 string",
  "hash": "base 64 string",
  "format": "string"
}
```

**`Response layout`**

```json title="Response layout"
{
  "signedAttributes": "base 64 string"
}
```